org.eclipse.rdf4j.http.client.shacl

## Class RemoteShaclValidationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.rdf4j.OpenRDFException
        - - org.eclipse.rdf4j.RDF4JException
          - - org.eclipse.rdf4j.http.client.shacl.RemoteShaclValidationException

- All Implemented Interfaces:
    Serializable, ValidationException

      @Experimental
      public class RemoteShaclValidationException
      extends RDF4JException
      implements ValidationException

  Experimental support for handling SHACL violations against a remote RDF4J server.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoteShaclValidationException(StringReader stringReader, String s, RDFFormat format)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Model` | `validationReportAsModel()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RemoteShaclValidationException

          public RemoteShaclValidationException(StringReader stringReader,
                                                String s,
                                                RDFFormat format)

  - ### Method Detail

    - #### validationReportAsModel

          public Model validationReportAsModel()

      Specified by:
        `validationReportAsModel` in interface `ValidationException`
      Returns:
        A Model containing the validation report as specified by the SHACL Recommendation

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.